> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Comments

> Get all comments for a specific task



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi get /comment/{taskId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /comment/{taskId}:
    get:
      tags:
        - Comments
      summary: Get Task Comments
      description: Get all comments for a specific task
      operationId: getTaskComments
      parameters:
        - in: path
          name: taskId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: List of comments for the task
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    taskId:
                      type: string
                    userId:
                      type: string
                    content:
                      type: string
                    createdAt:
                      type: string
                      format: date-time
                    updatedAt:
                      type: string
                      format: date-time
                    user:
                      type: object
                      properties:
                        name:
                          type: string
                        image:
                          type: string
                          nullable: true
                      required:
                        - name
                        - image
                  required:
                    - id
                    - taskId
                    - userId
                    - content
                    - createdAt
                    - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````